$(document).ready(function(){

    /* Animation time taken for text to appear */

    var animation_time=750;

    /* Delay time for two texts to appear */

    var delay_time=300;

    /* Mission statement animation time */

    var mission_statement_animation_time=1500;

    /* Slide Animation Time */

    var slide_animation_time=300;

    var maxheight = 70;

    var old_text=$('#mission_statement_readmore_text').html();

    $('#text_to_iterate').hide();

    /* Mission Statement READ MORE Slider*/

    $.getJSON( "twitter.php" , function( result ){

        $('#twitter > p').html(result.tweet);

        $('#twitter').attr('onclick','window.open("'+result.url+'")');

        $('#twitter > span.names').html(result.username);

    });

    $('.itemft').each(function () {

        if($(this).data('slideId')==($('div.active').index()))

        {

            $(this).css('display','block').children().each(function () {

                $(this).addClass('current');

            });

        }

        else

        {

            $(this).css('display','none').children().each(function () {

                $(this).removeClass('current');

            });

        }

    });

    slider_set(animation_time,delay_time,mission_statement_animation_time,slide_animation_time,old_text,maxheight);

    carousel_animation(delay_time,animation_time);

    $(window).on('resize',function(){

        slider_set(animation_time,delay_time,mission_statement_animation_time,slide_animation_time,old_text,maxheight);

        carousel_animation(delay_time,animation_time);

    })

    /* Animating text on load */

})

function slider_set(animation_time,delay_time,mission_statement_animation_time,slide_animation_time,old_text,maxheight)

{

    var flag=0;

    if($(window).width()>=320 && $(window).width()<=970)

    {

        $("#action").unbind();

        $('#mission_statement_readmore_text')

            .html($('#text_to_iterate').html())

            .parent().addClass('dynamic-height-wrap')

            .parent()

            .parent()

            .data('maxheight',maxheight);

        $('#action').addClass('js-dynamic-show-hide').attr('title','Read More').data('replaceText','X close');

        /* Readmore js script will go over here */

        $('#mission_statement_maxheight').dynamicMaxHeight();

    }

    else

    {

        $("#action").unbind();

        $('#mission_statement_readmore_text').html(old_text);

        $("#action").html("Read More").click(function(){

            if(flag==0)

            {

                flag=1;

                $(this).removeClass('hvr-icon-float-away').addClass('hvr-icon-float-away-left').html('Return');

                $('#text_to_iterate').hide();

                $('#slider_image').fadeOut(animation_time);

                setTimeout(function(){

                    $('#text_to_iterate').fadeIn(animation_time);

                },2*delay_time)

            }

            else

            {

                flag=0;

                $('#text_to_iterate').fadeOut(100);

                $(this).removeClass('hvr-icon-float-away-left').addClass('hvr-icon-float-away').html('Read More');

                $('#slider_image').fadeIn(animation_time);

            }

            $(".box").animate({

                width: "toggle"

            },slide_animation_time);

            $(".box2").animate({

                width: "toggle"

            },slide_animation_time);

        });

    }

}

function carousel_animation(delay_time,animation_time){

    if($(window).width()>=320 && $(window).width()<=970)

    {

        $('.animate-text-custom').show();

        $('#carousel-example-generic').unbind().on('slide.bs.carousel', function () {

            $('.itemrt > img').fadeOut(50);

        });

        $('#carousel-example-generic').on('slid.bs.carousel', function () {

            $('.item.active >.itemrt > img').fadeIn(1000);

            $('.itemft').each(function () {

                if($(this).data('slideId')==($('div.active').index()))

                {

                    $(this).css('display','block').children().each(function () {

                        $(this).addClass('current');

                    });

                }

                else

                {

                    $(this).css('display','none').children().each(function () {

                        $(this).removeClass('current');

                    });

                }

            });

        })

    }

    else

    {

        $('.animate-text-custom').fadeOut();

        $('.animate-text-custom.current').each(function(counter){

            /* Increase or decrease times to adjust animation speeds and time delay */

            $(this).delay((counter+1) * delay_time).fadeIn(animation_time);

        });

        /* Carousel slide change event handler to animate text acompanying the slide */

        $('#carousel-example-generic').unbind().on('slid.bs.carousel', function () {

            $('.animate-text-custom.current').each(function(counter){

                /* Increase or decrease times to adjust animation speeds and time delay */

                $(this).fadeOut(animation_time);

            });

            $('.itemft').each(function () {

                if($(this).data('slideId')==($('div.active').index()))

                {

                    $(this).css('display','block').children().each(function () {

                        $(this).addClass('current');

                    });

                }

                else

                {

                    $(this).css('display','none').children().each(function () {

                        $(this).removeClass('current');

                    });

                }

            });

            $('.animate-text-custom.current').each(function(counter){

                /* Increase or decrease times to adjust animation speeds and time delay */

                $(this).delay((counter+1) * delay_time).fadeIn(animation_time);

            });

        })

    }

}